Pipeline always buil on Java 1.6 but my project is set to Java 1.8

My project is set to Java 1.8 but pipeline always builds my project to Java 1.6.

My pipeline configuration image is maven:3.3.9-jdk-8.

 

Pipeline build always return the following errors:

 

[ERROR] bootstrap class path not set in conjunction with -source 1.6
./TAppWeb/src/main/java/tapp/cup/team/automation/objectaccess/TAppWebTest.java:[138,32] error: multi-catch statement is not supported in -source 1.6

[ERROR] (use -source 7 or higher to enable multi-catch statement)
./TAppWeb/src/main/java/tapp/cup/team/automation/objectaccess/TAppWebTest.java:[556,61] error: lambda expressions are not supported in -source 1.6

[ERROR] (use -source 8 or higher to enable lambda expressions)
./TAppWeb/src/main/java/tapp/cup/team/automation/objectaccess/TAppIOSTest.java:[93,32] error: multi-catch statement is not supported in -source 1.6

[ERROR] (use -source 7 or higher to enable multi-catch statement)
./TAppWeb/src/main/java/tapp/cup/team/automation/objectaccess/TAppAndroidTest.java:[95,32] error: multi-catch statement is not supported in -source 1.6

[ERROR] (use -source 7 or higher to enable multi-catch statement)

0 answers

Suggest an answer

Log in or Sign up to answer
Community showcase
Posted 5 hours ago in Featured Groups

Hi! I'm Cameron Deatsch, Head of Server at Atlassian and I'm hosting an AMA next week.

Hey team! I'm Cameron Deatsch, Head of Server at Atlassian. I'll be hosting an AMA over in our Questions section of the Community next Monday, so shoot me your questions, upvote others' question...

22 views 0 2
View post

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you